Android multiple version support : specific version folder error

I'm trying to make custom Notifications in Android, following that link : http://developer.android.com/guide/topics/ui/notifiers/notifications.html

This tutorial explain that we need two files for styling notification : values/styles.xml and values-v9/styles.xml. (I develope on api level 7)

The second file must contain things like

<style name="NotificationText" parent="android:TextAppearance.StatusBar.EventContent" />

But with this, eclipse doesn't allow me to compile : "Error retrieving parent for item : no ressource that matches the given name 'android:...' "

Everythings is okay when I changed the API level to 9.

Did I missed something in Android multi-version programming ?

Answers


You need to target API level 9 but set the minimum API level to 7.

<uses-sdk android:minSdkVersion="7" 
      android:targetSdkVersion="9" />

Need Your Help

64 bit mozilla plugin location

java plugins browser mozilla

I installed 64 bit mozilla on ubuntu. I want to install java plugin for that.

Java, What do curly braces mean by themselves?

java syntax scope curly-braces

I have some Java code that uses curly braces in two ways